## virtualbox-hwe 5.2.10

=== src/VBox/HostDrivers/VBoxNetFlt/freebsd/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox FreeBSD Host Driver.
#

#
# Copyright (C) 2006-2017 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
# VirtualBox OSE distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#

KMOD = vboxnetflt

CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVIMAGE

.if (${MACHINE_ARCH} == "i386")
 CFLAGS += -DRT_ARCH_X86
.elif (${MACHINE_ARCH} == "amd64")
 CFLAGS += -DRT_ARCH_AMD64
.endif

SRCS = \
	VBoxNetFlt-freebsd.c \
	VBoxNetFlt.c \
	SUPR0IdcClient-freebsd.c \
	SUPR0IdcClient.c \
	SUPR0IdcClientComponent.c

SRCS += device_if.h bus_if.h opt_netgraph.h

.include <bsd.kmod.mk>

=== src/VBox/Main/webservice/samples/python/Makefile ===
# $Id: Makefile $
## @file
# Makefile for java samples.
#

#
# Copyright (C) 2008-2017 Oracle Corporation
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following
# conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#

all: run

run:
	@echo !!!! Don\'t forget to start webserver with \"vboxwebsrv -t 10000\" !!!
	PYTHONPATH=../lib python ../../../glue/python/sample/vboxshell.py -w

server:
	nohup vboxwebsrv -t 10000 &

=== src/VBox/Main/webservice/samples/java/jax-ws/Makefile ===
# $Id: Makefile $
## @file
# Makefile for java samples.
#


#
# Copyright (C) 2008-2017 Oracle Corporation
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following
# conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#

JAVA16=java
JAVA15=/usr/lib/jvm/java-1.5.0-sun/bin/java
JAVAC = javac
JAVAC15 = javac -target 1.5
JAVAC16 = javac -target 1.6
MKDIR = mkdir
RM = rm

DEST16 = ./gen16
DEST15 = ./gen15

VBOXWS15 = ../lib/vboxws_java15.jar
VBOXWS16 = ../lib/vboxws_java16.jar

JAXWS=./jaxws-ri
JAXWSLIBS=$(JAXWS)/lib/jaxws-api.jar:$(JAXWS)/lib/jaxb-api.jar:$(JAXWS)/lib/jsr181-api.jar:$(JAXWS)/lib/jaxws-rt.jar

all: run16

metric: metric16

$(DEST16)/clienttest.class: clienttest.java
	$(MKDIR) -p $(DEST16)
	$(JAVAC16) -d $(DEST16) -cp $(VBOXWS16) $<

$(DEST15)/clienttest.class: clienttest.java
	$(MKDIR) -p $(DEST15)
	$(JAVAC15) -d $(DEST15) -cp $(VBOXWS15):$(JAXWSLIBS) $<

run16: $(DEST16)/clienttest.class
	$(JAVA16) -cp $(VBOXWS16):$(DEST16) clienttest show vms

run15: $(DEST15)/clienttest.class
	$(JAVA15) -cp $(VBOXWS15):$(JAXWSLIBS):$(DEST15) clienttest show vms

$(DEST16)/metrictest.class: metrictest.java
	$(MKDIR) -p $(DEST16)
	$(JAVAC16) -d $(DEST16) -cp $(VBOXWS16) $<

$(DEST15)/metrictest.class: metrictest.java
	$(MKDIR) -p $(DEST15)
	$(JAVAC15) -d $(DEST15) -cp $(VBOXWS15):$(JAXWSLIBS) $<

metric16: $(DEST16)/metrictest.class
	-$(JAVA16) -cp $(VBOXWS16):$(DEST16) metrictest

metric15: $(DEST15)/metrictest.class
	-$(JAVA15) -cp $(VBOXWS15):$(JAXWSLIBS):$(DEST15) metrictest

clean:
	$(RM) -rf $(DEST15)  $(DEST16)

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/C/GenBootSector/Makefile ===
## @file
# Windows makefile for 'GenBootSector' module build.
#
# Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#
!INCLUDE ..\Makefiles\ms.common

APPNAME = GenBootSector

LIBS = $(LIB_PATH)\Common.lib

OBJECTS = GenBootSector.obj GetDrvNumOffset.obj

!INCLUDE ..\Makefiles\ms.app

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/C/GenVtf/Makefile ===
## @file
# Windows makefile for 'GenVtf' module build.
#
# Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#
!INCLUDE ..\Makefiles\ms.common

APPNAME = GenVtf

LIBS = $(LIB_PATH)\Common.lib

OBJECTS = GenVtf.obj

!INCLUDE ..\Makefiles\ms.app

=== src/VBox/ExtPacks/VBoxDTrace/onnv/cmd/dtrace/test/tst/i86xpv/Makefile ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#
# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# ident	"%Z%%M%	%I%	%E% SMI"
#

include ../Makefile.com

## virtualbox-hwe 5.2.10-dfsg

=== debian/changelog ===
virtualbox-hwe (5.2.10-dfsg-6ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Apr 2018 19:50:40 +0200

virtualbox (5.2.10-dfsg-6) unstable; urgency=high

  * Fix live restore issue (Closes: #896895)
    - cherry-pick upstream changeset 71931

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Apr 2018 10:49:04 +0200

virtualbox-hwe (5.2.10-dfsg-5ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Apr 2018 00:16:55 +0200

virtualbox (5.2.10-dfsg-5) unstable; urgency=medium

  * Do the ldconfig and configure of 3d only in case is available
    from configuration file (host side) and x11 package is installed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Apr 2018 19:24:28 +0200

virtualbox-hwe (5.2.10-dfsg-4ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Apr 2018 16:57:00 +0200

virtualbox (5.2.10-dfsg-4) unstable; urgency=medium

  * Refresh previous patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Apr 2018 16:54:58 +0200

virtualbox-hwe (5.2.10-dfsg-3ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Apr 2018 16:44:24 +0200

virtualbox (5.2.10-dfsg-3) unstable; urgency=medium

  * Enable again videorec features (Closes: #895791)
  * Do not add GL bindings anymore, breaking userspace applications.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Apr 2018 15:17:21 +0200

virtualbox-hwe (5.2.10-dfsg-2ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Apr 2018 11:05:56 +0200

virtualbox (5.2.10-dfsg-2) unstable; urgency=medium

  * Alioth list is dead, move to new list. (Closes: #895970)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Apr 2018 11:02:56 +0200

virtualbox-hwe (5.2.10-dfsg-1ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Apr 2018 01:01:42 +0200

virtualbox (5.2.10-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.10-dfsg
    - drop notify-send patch: upstream
  * Correct VCS field
  * commit new patch for GL fixes
  * Update watch file and std-version to 4.1.4
  * Patch refresh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Apr 2018 00:57:55 +0200

virtualbox-hwe (5.2.8-dfsg-10ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Apr 2018 23:22:17 +0200

virtualbox (5.2.8-dfsg-10) unstable; urgency=medium

  * Switch to salsa.debian.org VCS fields

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Apr 2018 19:38:53 +0200

virtualbox-hwe (5.2.8-dfsg-9ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Apr 2018 10:34:34 +0200

virtualbox (5.2.8-dfsg-9) unstable; urgency=medium

  * Revert previous upload (Closes: #895655)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Apr 2018 10:31:28 +0200

virtualbox-hwe (5.2.8-dfsg-8ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Apr 2018 18:49:59 +0200

virtualbox (5.2.8-dfsg-8) unstable; urgency=medium

  [ Daniel Rocher ]
  * Add again vboxvideo_drv.so for systems without 3d enabled.
    LP: #1759452

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Apr 2018 18:39:41 +0200

virtualbox-hwe (5.2.8-dfsg-7ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Apr 2018 14:46:18 +0200

virtualbox (5.2.8-dfsg-7) unstable; urgency=low

  [ Whoopie ]
  * Move dkms rules out to dkms package, but to utils, because
    they can be used with modules builtin in the kernel itself
    or the guest-source package

  [ Gianfranco Costamagna ]
  * Make the guest-utils depends on dkms not vice-versa

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Apr 2018 13:21:54 +0200

virtualbox (5.2.8-dfsg-6) unstable; urgency=medium

  * Build with java9 (Closes: #894365)
    - thanks Emmanuel Bourg for all the great help!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Mar 2018 19:05:29 +0200

virtualbox-hwe (5.2.8-dfsg-5ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Mar 2018 19:36:30 +0100

virtualbox (5.2.8-dfsg-5) unstable; urgency=medium

  * Fixup build on i386, by finding the correct java path here too.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Mar 2018 08:19:14 +0100

virtualbox (5.2.8-dfsg-4) unstable; urgency=medium

  * Force java8 to build, java9 makes the program FTBFS because
    of missing javax module (and --add-module can't find it)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Mar 2018 15:02:17 +0100

virtualbox (5.2.8-dfsg-3) unstable; urgency=medium

  * Do not delay startup because of notify-send not being ready
    (Closes: #880594, LP: #1722745)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Mar 2018 13:56:41 +0100

virtualbox (5.2.8-dfsg-2) unstable; urgency=medium

  * Update dh_systemd_enable to run only with guest-utils package
    (Closes: #891860). Thanks Kevin Locke for the useful report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Mar 2018 22:53:54 +0100



=== debian/control ===
Source: virtualbox-hwe
Section: contrib/misc
Priority: optional
Maintainer: Debian Virtualbox Team  <team+debian-virtualbox@tracker.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: bzip2,
               debhelper (>= 10),
               default-jdk,
               dh-python,
               dh-systemd (>=1.5),
               dkms (>= 2.1.1.1),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               gsoap (>= 2.8.16),
               iasl,
               imagemagick,
               kbuild (>= 1:0.1.9998svn3098~),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libidl-dev,
               libopus-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt5x11extras5-dev,
               libqt5opengl5-dev,
               qttools5-dev-tools,
               libsdl1.2-dev,
               libssl-dev,
               libvncserver-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx,
               makeself,
               module-assistant,
               python3-dev,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev-hwe-16.04,
               xsltproc,
               yasm (>= 0.7.0),
               zlib1g-dev
X-Python-Version: >= 2.5
Standards-Version: 4.1.4
Homepage: https://www.virtualbox.org
Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git

#Package: virtualbox-qt
#Architecture: amd64 i386
#Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
#Breaks: virtualbox (<< 4.1.6-dfsg-2~)
#Replaces: virtualbox (<< 4.1.6-dfsg-2~)
#Description: x86 virtualization solution - Qt based user interface
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the Qt based graphical user interface for VirtualBox.
#
#Package: virtualbox
#Architecture: amd64 i386
#Depends: adduser,
#         iproute2,
#         procps,
#         virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
#         ${misc:Depends},
#         ${python3:Depends},
#         ${shlibs:Depends}
#Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
#Suggests: vde2, virtualbox-guest-additions-iso
#Conflicts: virtualbox-2.0,
#           virtualbox-2.1,
#           virtualbox-2.2,
#           virtualbox-3.0,
#           virtualbox-3.1,
#           virtualbox-3.2,
#           virtualbox-4.0,
#           virtualbox-4.1,
#           virtualbox-4.2,
#           virtualbox-4.3,
#           virtualbox-5.0,
#           virtualbox-5.1,
#Description: x86 virtualization solution - base binaries
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the binaries for VirtualBox. Either the virtualbox-dkms
# or the virtualbox-source package is also required in order to compile the
# kernel modules needed for virtualbox. A graphical user interface for
# VirtualBox is provided by the package virtualbox-qt.
#
#Package: virtualbox-dkms
#Section: contrib/kernel
#Architecture: all
#Depends: ${misc:Depends}
#Recommends: virtualbox (>= ${source:Version})
#Provides: virtualbox-modules
#Description: x86 virtualization solution - kernel module sources for dkms
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the source code for the virtualbox kernel module to be
# build with dkms. Kernel sources or headers are required to compile this
# module.
#
#Package: virtualbox-source
#Section: contrib/kernel
#Architecture: all
#Depends: build-essential,
#         bzip2,
#         debhelper (>= 10),
#         kbuild,
#         module-assistant,
#         ${misc:Depends}
#Recommends: virtualbox (>= ${source:Version})
#Description: x86 virtualization solution - kernel module source
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the source code for the virtualbox kernel module.
# The virtualbox package is also required in order to make use of these
# modules. Kernel sources or headers are required to compile this module.
# .
# The source is placed under /usr/src, and after decompression it can
# be built to produce a virtualbox-modules-_KVERS_ providing
# "virtualbox-modules" package.

Package: virtualbox-guest-dkms-hwe
Section: contrib/kernel
Architecture: all
Depends: ${misc:Depends}
XB-Modaliases: ${modaliases}
Replaces: virtualbox-guest-dkms
Provides: virtualbox-guest-modules,
          virtualbox-guest-dkms
Conflicts: virtualbox-guest-dkms
Description: x86 virtualization solution - guest addition module source for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox-hwe guest addition kernel
 modules to be build with dkms. Kernel sources or headers are required to
 compile these modules.

Package: virtualbox-guest-source-hwe
Section: contrib/kernel
Architecture: all
Depends: build-essential,
         bzip2,
         debhelper (>= 10),
         kbuild,
         module-assistant,
         ${misc:Depends}
Replaces: virtualbox-guest-source
Provides: virtualbox-guest-source
Conflicts: virtualbox-guest-source
Description: x86 virtualization solution - guest addition module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules. The virtualbox-guest-utils package is also required in order to
 make use of these modules. Kernel sources or headers are required to compile
 these modules.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-guest-modules-_KVERS_ providing
 "virtualbox-guest-modules" package.

Package: virtualbox-guest-x11-hwe
Section: contrib/x11
Architecture: amd64 i386
Depends: libnotify-bin,
         x11-xserver-utils,
         virtualbox-guest-utils-hwe (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Replaces: virtualbox-guest-x11
Provides: xorg-driver-video,
          virtualbox-guest-x11
Conflicts: virtualbox-guest-x11
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils-hwe
Architecture: amd64 i386
Depends: adduser,
         pciutils,
         virtualbox-guest-dkms-hwe (= ${source:Version}) | virtualbox-guest-source-hwe (= ${source:Version}) | virtualbox-guest-modules-hwe,
         ${misc:Depends},
         ${shlibs:Depends}
#Conflicts: time-daemon, ntp
#Provides: time-daemon
#Replaces: time-daemon
Suggests: virtualbox-guest-x11-hwe (= ${binary:Version})
Replaces: virtualbox-guest-utils
Provides: virtualbox-guest-utils
Conflicts: virtualbox-guest-utils
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.
 .
 Either the virtualbox-guest-dkms or the virtualbox-guest-source package is
 also required in order to compile the kernel modules needed for
 virtualbox-guest-utils.

=== debian/rules ===
#!/usr/bin/make -f

# Name of the source packages
psource:=virtualbox-source
gsource:=virtualbox-guest-source-hwe
pdkms:=virtualbox-dkms
gdkms:=virtualbox-guest-dkms-hwe

# The short upstream name
sname:=virtualbox
sxname:=virtualbox-qt
gname:=virtualbox-guest
uname:=virtualbox-guest-utils-hwe
uxname:=virtualbox-guest-x11-hwe

INSTALL_PATH:=/usr/lib/virtualbox
MAKE:=kmk

upstreamversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)

SERVER_DEPENDS = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_PIE=0
export DEB_BUILD_HARDENING_FORMAT=0
export DEB_BUILD_HARDENING_BINDNOW=0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie,-format,-bindnow

%:
	dh $@ --with python3,dkms,systemd

override_dh_auto_configure:
	@echo Building for $(DIST_RELEASE)

ifeq ($(strip $(SERVER_DEPENDS)),)
	@echo 'error: SERVER_DEPENDS is empty'
	@exit 1
endif

	mkdir -p out
	./configure \
	    --ose \
	    --odir=$(abspath out) \
	    --with-linux="/usr" \
	    --disable-kmods \
	    --enable-webservice \
	    --enable-vde \
	    --enable-vnc \
	    --enable-system-libopus

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_build:
	# Building package
	. out/env.sh && $(MAKE) \
	    AUTOCFG=$(abspath out/AutoConfig.kmk) \
	    LOCALCFG=$(abspath debian/LocalConfig.kmk) \
	    PATH_OUT=$(abspath out) \
	    TOOL_YASM_AS=yasm \
	    VBOX_USE_SYSTEM_XORG_HEADERS=1 \
	    VBOX_USE_SYSTEM_GL_HEADERS=1 \
	    VBOX_NO_LEGACY_XORG_X11=1 \
	    VBOX_BUILD_PUBLISHER=_$(DIST_NAME) \
	    VBOX_WITH_REGISTRATION_REQUEST= \
	    VBOX_WITH_UPDATE_REQUEST= \
	    KBUILD_VERBOSE=2 \
	    VBOX_WITH_EXTPACK_VBOXDTRACE=

	xsltproc --nonet --stringparam section.autolabel 1 \
	    -o debian/README.Debian.html \
	    /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
	    debian/virtualbox.files/README.Debian.xml

	chmod 755 debian/lynx-dump-postprocess
	export LC_ALL=C; lynx -force_html -dump debian/README.Debian.html | \
	    ./debian/lynx-dump-postprocess > debian/virtualbox.README.Debian.tmp
	mv debian/virtualbox.README.Debian.tmp debian/virtualbox.README.Debian

override_dh_auto_install:
	dh_auto_install

	export VBOX_INSTALL_PATH=$(INSTALL_PATH) && \
	    cd out/bin/sdk/installer && \
	    python3 ./vboxapisetup.py install --root $(CURDIR)/debian/$(sname)

	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links

	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install

	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars

ifeq ($(DIST_NAME),Ubuntu)
	echo "modaliases=vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)" >> debian/$(gdkms).substvars
	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
endif

override_dh_install:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_install -p$(sname) -X out/bin/VBoxDbg.so
endif
	dh_install --remaining-packages
#ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
#	install -m 644 -p -D out/bin/additions/vboxvideo_drv_system.so \
#	    debian/$(uxname)/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
#endif
# check if arch-any packages are being built
ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	convert debian/$(sxname)/usr/share/icons/hicolor/32x32/apps/virtualbox.png \
	    debian/$(sxname)/usr/share/pixmaps/virtualbox.xpm
endif

ifeq ($(DIST_NAME),Ubuntu)
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(gdkms)/usr/share/apport/package-hooks/$(gdkms).py
endif

override_dh_link:
	dh_link
	dh_link -p$(uxname) --ignore debian/$(uxname).links \
	    /usr/lib/VBoxOGL.so $(shell pkg-config --variable dridriverdir dri)/vboxvideo_dri.so

override_dh_fixperms:
	dh_fixperms

# check if arch-any packages are being built
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.rc;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.r0;

	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/server/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/client/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/java/vboxjxpcom.jar;

	chmod 755 debian/$(sname)/usr/share/virtualbox/VBox.sh;
endif

ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBox;
endif

ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
	chmod 755 debian/$(uxname)/usr/share/virtualbox/x11config.pl;
endif

# check if arch-all packages are being built
ifneq (,$(filter $(psource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(psource)/usr/src/modules/$(sname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(psource)/usr/src && \
	    tar -cjf $(sname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
endif

# check if arch-all packages are being built
ifneq (,$(filter $(gsource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(gsource)/usr/src/modules/$(gname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(gsource)/usr/src && \
	    tar -cjf $(gname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(gsource)/usr/src/$(gname).tar.bz2
endif

override_dh_installinit:
	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
	dh_installinit --remaining-packages --no-start

override_dh_systemd_enable:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_systemd_enable -p$(sname) --name vboxweb --no-enable debian/vboxweb.service
endif
	dh_systemd_enable -p$(uname) debian/$(uname).service

override_dh_dkms:
	dh_dkms -V $(upstreamversion)

override_dh_strip:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_strip --dbgsym-migration='$(sname)-dbg' || dh_strip

	# strip files not handled by dh_strip
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	set -e && for file in debian/$(sname)/usr/lib/virtualbox/*.rc debian/$(sname)/usr/lib/virtualbox/*.r0; do \
	    strip --strip-debug --remove-section=.comment --remove-section=.note $${file}; \
	done
endif
	# I don't see a reason to have these. If any user complains, we can try ship it.
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMRC.debug
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMR0.debug
endif

override_dh_shlibdeps:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_shlibdeps -p$(sname) -X debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -- \
	    -dRecommends debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -dDepends
endif
	dh_shlibdeps --remaining-packages

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	dh_auto_clean

	# Cleaning package
	rm -rf out
	rm -f build-stamp
	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
	rm -f debian/$(pdkms).install
	rm -f debian/$(gdkms).install
	rm -f debian/$(pdkms).links
	rm -f debian/$(gdkms).links

	find . -name "*.pyc" -exec rm -f {} \;

## virtualbox-hwe 5.2.14-dfsg

=== debian/changelog ===
virtualbox-hwe (5.2.14-dfsg-4ubuntu18.10.1) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Jul 2018 10:45:30 +0200

virtualbox (5.2.14-dfsg-4) unstable; urgency=medium

  * Update with new upstream accepted patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Jul 2018 10:42:09 +0200

virtualbox (5.2.14-dfsg-3) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Tweak python patch to make it compatible with Python3.7
  * Tweak previous changelog entry

  [ Will Thompson ]
  * guest-utils.service: add ConditionVirtualization=oracle

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jul 2018 12:03:32 +0200

virtualbox (5.2.14-dfsg-2) unstable; urgency=low

  * Try to fix issue with new binutils (Closes: #902897)
    - thanks Jan Christoph Nordholz for the great help and fix!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jul 2018 09:49:54 +0200

virtualbox-hwe (5.2.14-dfsg-1ubuntu18.10.1) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Jul 2018 14:11:53 +0200

virtualbox (5.2.14-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.14-dfsg
  * Drop kernel and acpica patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Jul 2018 19:50:29 +0200

virtualbox-hwe (5.2.12-dfsg-3ubuntu18.10.1) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jun 2018 00:00:28 +0200

virtualbox (5.2.12-dfsg-3) unstable; urgency=medium

  * debian/patches/fixes_for_4.17.patch
    from opensuse: fix build with kernel 4.17 (LP: #1776671)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jun 2018 10:09:21 +0200

virtualbox-hwe (5.2.12-dfsg-2ubuntu18.10.1) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Jun 2018 19:21:21 +0200

virtualbox (5.2.12-dfsg-2) unstable; urgency=medium

  * Ignore new acpica-unix syntax, and sed the new aml syntax to the old
    aml working paradigm. A real fix might require:
    - a revert of acpica-unix code
    - a fallback code or switch in acpica-unix
    - changing vbox filenames to some correct C syntax
    For now, better rename the resulting structure to the old way, taking the
    approach from FreeBSD patch. (See bug: #899318)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 May 2018 08:45:05 +0200

virtualbox (5.2.12-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.12-dfsg
  * Patch refresh, drop upstream patches:
    GL-fixes.patch, vm-restore.patch, 71985.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 May 2018 15:12:08 +0200

virtualbox (5.2.10-dfsg-7) unstable; urgency=medium

  * debian/patches/71985.patch: add compatibility with upstream
    kernel 4.16 patch (Closes: #897928)
    thanks James McCoy for the bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 May 2018 11:43:12 +0200

virtualbox-hwe (5.2.10-dfsg-6ubuntu18.04.1build1) cosmic; urgency=medium

  * Rebuild against new xserver.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Jun 2018 11:22:57 +0300

## virtualbox-hwe 5.2.18-dfsg

=== debian/changelog ===
virtualbox-hwe (5.2.18-dfsg-3ubuntu18.10.2) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Aug 2018 16:15:13 +0200

virtualbox (5.2.18-dfsg-2) unstable; urgency=medium

  * debian/patches/kernel-4.18.patch:
    - Fix build with kernel 4.18 (LP: #1787441)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Aug 2018 17:02:22 +0200

virtualbox-hwe (5.2.18-dfsg-3ubuntu18.10.1) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Aug 2018 23:04:54 +0200

virtualbox (5.2.18-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.18-dfsg
  * Patch refresh
  * Bump std-version to 4.2.0.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Aug 2018 23:00:46 +0200

virtualbox-hwe (5.2.16-dfsg-3ubuntu18.10.4) cosmic; urgency=medium

  * Track new xorg-lts modules (18.04)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Aug 2018 14:27:13 +0200

virtualbox-hwe (5.2.16-dfsg-3ubuntu18.10.3) cosmic; urgency=high

  * No change rebuild against new qt/xorg.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Aug 2018 03:04:26 +0100

virtualbox-hwe (5.2.16-dfsg-3ubuntu18.10.2) cosmic; urgency=high

  * No change rebuild against older qt/xorg abi.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Aug 2018 21:47:08 +0100

virtualbox-hwe (5.2.16-dfsg-3ubuntu18.10.1) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jul 2018 12:39:26 +0200

virtualbox (5.2.16-dfsg-3) unstable; urgency=medium

  * from: Kevin Puetz:
    - patch to avoid virtualbox guest utils run if no virtual machines are detected.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jul 2018 12:36:05 +0200

virtualbox-hwe (5.2.16-dfsg-2ubuntu18.10.1) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jul 2018 12:30:42 +0200

virtualbox (5.2.16-dfsg-2) unstable; urgency=medium

  * Allow new gcc8 to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jul 2018 11:47:59 +0200

virtualbox (5.2.16-dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.16-dfsg, patch refresh
  * Drop now upstreamed patches: {fix-build,plt-upstream-fix,videorec}.patch
  * Bump std-version to 4.1.5, no changes required
  * Drop now-useless --enable-system-libopus switch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jul 2018 19:36:46 +0200

virtualbox-hwe (5.2.14-dfsg-7ubuntu18.10.1) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jul 2018 08:53:37 +0200

virtualbox (5.2.14-dfsg-7) unstable; urgency=medium

  * Add again libopus hack in rules file, this might be dropped
    in next upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jul 2018 08:51:46 +0200

virtualbox-hwe (5.2.14-dfsg-6ubuntu18.10.1) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jul 2018 08:40:38 +0200

virtualbox (5.2.14-dfsg-6) unstable; urgency=medium

  [ Jan Nordoholz ]
  * Refresh patch to make it really work.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jul 2018 08:38:24 +0200

virtualbox-hwe (5.2.14-dfsg-5ubuntu18.10.1) cosmic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Jul 2018 14:58:44 +0200

virtualbox (5.2.14-dfsg-5) unstable; urgency=medium

  * Reupload with upstream patch + some minor modifications to fix the issue
    again. (Closes: #902897)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 15 Jul 2018 14:54:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: virtualbox-hwe
 Section: contrib/misc
 Priority: optional
-Maintainer: Debian Virtualbox Team  <team+debian-virtualbox@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Virtualbox Team  <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: bzip2,
@@ -66,12 +67,12 @@
                uuid-dev,
                x11proto-gl-dev,
                x11proto-xf86dri-dev,
-               xserver-xorg-dev-hwe-16.04,
+               xserver-xorg-dev-hwe-18.04,
                xsltproc,
                yasm (>= 0.7.0),
                zlib1g-dev
 X-Python-Version: >= 2.5
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0.1
 Homepage: https://www.virtualbox.org
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git

=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,7 @@
 	    --disable-kmods \
 	    --enable-webservice \
 	    --enable-vde \
-	    --enable-vnc \
-	    --enable-system-libopus
+	    --enable-vnc
 
 override_dh_python3:
 	dh_python3 --no-ext-rename

## virtualbox-hwe 5.2.34-dfsg

=== debian/changelog ===
virtualbox-hwe (5.2.34-dfsg-0~ubuntu18.04.1) bionic; urgency=medium

  * SRU latest upstream release to bionic 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Oct 2019 17:55:25 +0200

virtualbox (5.2.34-dfsg-0~ubuntu18.04.1) bionic; urgency=medium

  * SRU the latest package for bionic (LP: #1847662)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Oct 2019 15:26:08 +0200

virtualbox-hwe (5.2.32-dfsg-0~ubuntu18.04.1) bionic; urgency=medium

  * SRU latest upstream release to bionic

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jul 2019 15:53:11 +0200

virtualbox (5.2.32-dfsg-0~ubuntu18.04.1) bionic; urgency=medium

  * SRU the latest package for bionic (LP: #1835576, LP: #1829248)
  [ Connor Kuehl ]
  * Fix build for Linux 5.0 (LP: #1835576)
    - debian/patches/ubuntu-0001-linux-5.0-compat.patch
    - debian/patches/ubuntu-0002-linux-5.0-move-ms-remount.patch
    - debian/patches/ubuntu-0003-linux-5.0-make-driver-work-with-Linux-5.0.patch
    - debian/patches/ubuntu-0004-drop-FBINFO_CAN_FORCE_OUTPUT-flag.patch
    - debian/patches/ubuntu-0005-switch-to-drm_get-drm_put-helpers.patch
    - debian/patches/ubuntu-0006-fixup-vboxvideo-module-include.patch
    - debian/patches/ubuntu-0007-update-connector-functions.patch

  [ Gianfranco Costamagna ]
  * Do not apply patches ubuntu-000{1,2,3,4,5,7], because they are included in
    this upstream release
  * New upstream release, update postinst.
  * CVE fixes
    - CVE-2019-2656
    - CVE-2019-2680
    - CVE-2019-2696
    - CVE-2019-2703
    - CVE-2019-2721
    - CVE-2019-2722
    - CVE-2019-2723
    - CVE-2019-2657
    - CVE-2019-2690
    - CVE-2019-2679
    - CVE-2019-2678
    - CVE-2019-2574
  * Drop patches useless with this new upstream release:
    - 18-system-xorg.patch
    - new-gcc.patch
    - kernel-4.18.patch
    - fix-guest-to-host-escape-vulnerability.patch
  * Cherry-pick some fixes from Debian git master branch
    - Enable full hardening
    - automatically detect wsimport from the system
    - bump std-version to 4.3.0
    - Add suid bit to VBoxNetNat to make it work (LP: #1805651)
    - Finally relax dh_strip hack
    - Relax some version constraints, already fullfilled since o-o-stable
    - use cafe instead of beef, to detect if we are inside a VM to fix
      copy-paste.
    - Start VBoxClient too, with the right --vmsvga flag, to fix screen resize
    - Switch to java11, that changed everything (Closes: #920723)
      - add new jaxw dependencies.
    - Switch from iasl to the new acpica-tools name
    - Implement DEB_BUILD_OPTIONS=parallel=n handling during build
      (Closes: #924302)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Apr 2019 09:30:21 +0200

virtualbox-hwe (5.2.18-dfsg-2~ubuntu18.04.5) bionic; urgency=medium

  * Fixup java breakage and switch to java11 (this fixes a build failure).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Mar 2019 19:10:38 +0100

virtualbox (5.2.18-dfsg-2~ubuntu18.04.5) bionic; urgency=medium

  * LP: #1814133.
  * Fixup java breakage and switch to java11 (this fixes a build failure).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Mar 2019 19:20:35 +0100

virtualbox-hwe (5.2.18-dfsg-2~ubuntu18.04.2) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack
    - No change rebuild package for bionic new hwe stack (LP: #1816386)
    - use 18.04 hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Feb 2019 12:17:49 +0100

virtualbox (5.2.18-dfsg-2~ubuntu18.04.3) bionic-security; urgency=medium

  * debian/patches/fix-for-guest-to-host-escape-vulnerability.patch:
    - Apply patch for guest-to-host escape vulnerability (LP: #1809156)
    - CVE-2018-3294

 -- Martin Konrad <info@martin-konrad.net>  Wed, 26 Dec 2018 19:41:57 -0500

virtualbox-hwe (5.2.18-dfsg-2~ubuntu18.04.1) bionic; urgency=medium

  * Build only the guest-* packages with hwe stack
    - SRU the latest cosmic package for bionic (LP: #1796543)
    - use 16.04 hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Aug 2018 16:15:13 +0200

virtualbox (5.2.18-dfsg-2~ubuntu18.04.1) bionic; urgency=medium

  * SRU the latest cosmic package for bionic (LP: #1796543)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Oct 2018 15:27:01 +0200
